function [out,N] = normalize(in)
%
% Normalizace souradnic tak, aby stredni hodnota = 0, rozptyl = [1,1]
%

if size(in,2) == 2
   in = [in, ones(size(in,1),1)]; % homogeni souradnice
end;

mi = mean(in);
ro = sqrt(var(in));
N = [ 1/ro(1) 0 -mi(1)/ro(1); 0 1/ro(2) -mi(2)/ro(2); 0 0 1];
out = (N * in')';
