% Semestralni prace z PVI - uloha 1
% Panorama
% Vykresleni korespondujicich bodu
% Pavel Krizek

clear all;
close all;

% Nacteni korespondenci a obrazku
X = load_corr('km12.cor');
n = size(X,2);

U1 = [X(3:4,:)' ones(8,1)];
U2 = [X(1:2,:)' ones(8,1)];
IM1 = imread('KMsm02.jpg','jpg');
IM2 = imread('KMsm01.jpg','jpg');

[h,w,c] = size(IM1);

str = num2str([1:n]');

% Vykresleni
figure(1);
imagesc(IM1);
hold on;
plot(U1(:,1),U1(:,2),'y.');
text(U1(:,1)+5, U1(:,2)+5, str, 'Color','r','FontSize',12,'Fontweight','bold');
hold off;
axis off;
axis equal;


figure(2)
imagesc(IM2);
hold on;
plot(U2(:,1),U2(:,2),'y.');
text(U2(:,1)+5, U2(:,2)+5, str, 'Color','r','FontSize',12,'Fontweight','bold');
hold off;
axis off;
axis equal;
