function M = load_corr(file)

if nargin < 1,
  file = '/home.dokt/martid1/Matlab_data/cmp/Domek/Domek.cor';
end

load (file,'-mat');

x              = CORR_EXCHANGE.d.corr(:,:,1)';
y              = CORR_EXCHANGE.d.corr(:,:,2)';
[m n]          = size(x);
M(1:2:2*m,1:n) = x;
M(2:2:2*m,1:n) = y;

