% Semestralni prace z PVI - uloha 1
% Panorama
% Vykresleni korespondujicich primek
% Pavel Krizek

clear all;
close all;

% Nacteni obrazku a dat
load_lines;

IM1 = imread('KMsm02.jpg');
IM2 = imread('KMsm01.jpg');

str = num2str([1:size(u1,1)]');

%%%%%%%%%%%%%%%%

figure;
imagesc(IM1);
hold on;
plot([u1(:,1),v1(:,1)]',[u1(:,2),v1(:,2)]','g-');
text([(u1(:,1)+v1(:,1))/2],[(u1(:,2)+v1(:,2))/2], ...
      str, 'Color', 'r','FontSize',12,'Fontweight','bold');
hold off;
axis off;
axis equal;

figure
imagesc(IM2);
hold on;
plot([u2(:,1),v2(:,1)]',[u2(:,2),v2(:,2)]','g-');
text([(u2(:,1)+v2(:,1))/2],[(u2(:,2)+v2(:,2))/2], ...
      str, 'Color', 'r','FontSize',12,'Fontweight','bold');
hold off;
axis off;
axis equal;

